import { MeshBasicMaterial, MeshStandardMaterial, Texture } from 'three';
import { RenderType } from '../GraphicsSystem/RenderType';
import { DrillingOption } from '../UI/Store/drillInterface';
export declare class IHostApplicationServices {
    DefaultMeshMaterial?: MeshBasicMaterial | MeshStandardMaterial;
    UseShadow: boolean;
    ShowHistoryLog: boolean;
    private __ProxyObject__;
    static __ProxyKeys__: string[];
    get ProxyObject(): any;
    set ProxyObject(obj: any);
    _renderType: RenderType;
    DrillConfigs: Map<string, DrillingOption[]>;
    openDrillingReactor: boolean;
    sealingColorMap: [string, string][];
    showLines: boolean;
    uese: string;
    forceFilterPxl: boolean;
    chaidanOption: {
        changXiuBian: number;
        duanXiuBian: number;
        useDefaultRad: boolean;
        radius: number;
        modeling2HoleRad: number;
        isCheckInterfere: boolean;
        noModeingData: string;
        statTk: boolean;
        statSt: boolean;
    };
    private constructor();
    private static _SingleInstance;
    static GetInstance(): IHostApplicationServices;
    LoadDefaultExr(): Promise<Texture>;
    LoadMetalEnv(): Promise<Texture>;
}
export declare let HostApplicationServices: IHostApplicationServices;
//# sourceMappingURL=HostApplicationServices.d.ts.map